<app-header [activePage]="'articles'"></app-header>

<div class="actions">
    <div class="filtre">
        <select [(ngModel)]="selectedStore" (change)="filtreWithStore()">
            <option [ngValue]="'0'">Tous les magasins</option>
            <option *ngFor="let store of stores" [ngValue]="store.id">{{store.name}}</option>
        </select>
    </div>
    <div>
        <button (click)="addArticle()">Ajouter un article</button>
    </div>
</div>


<table>
    <tr>
        <th id="ref">Référence</th>
        <th id="name">Article</th>
        <th id="shelve">Rayon</th>
        <th id="store">Magasin</th>
        <th id="cat">Catégorie(s)</th>
        <th id="price">Prix</th>
        <th id="nomber">unité(s)</th>
        <th id="actions"></th>
    </tr>
    <tr *ngFor="let article of articlesFilter| async" app-article [article]="article"
        [title]="article.item.description"></tr>
</table>`